Subject: Re: bug#25807: 24.5; List-Directory closes with error when invalid path is typed instead of prompting the user to fix it

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Feb 2017 16:15:45 +0200

> From: Colin <[email-masked]>
> Date: Mon, 20 Feb 2017 17:20:10 +1100
> 
> If I hit `C-x C-d`, I receive the prompt `List directory (breif): ~/` - if I
> type `/tmp/foo` and hit Enter my message buffer shows `insert-directory:
> Reading directory: no such file or directory, /tmp/foo` - the prompt has
> now gone and I'm unable to fix my mistake without repeating the entire
> process.

Could someone knowledgeable about completion please suggest a way to
do better in these use cases, or perhaps propose a patch?  We are
looking for a way to reject non-existing directories, but accept
existing ones and wildcards, when the user types RET in these cases.

There is "permissive completion with confirmation", but that requires
the user to type TAB before it kicks in, which IMO is sub-optimal (and
counter-intuitive) in this case.

TIA